Subject: bug#51215: Add a navigation feature to vc and diff mode: diff-goto-line

From: Dmitry Gutov <[email-masked]>
Date: Sun, 11 Sep 2022 02:21:44 +0300

On 10.09.2022 10:15, Uwe Brauer wrote:
>> Uwe Brauer<[email-masked]>  writes:
>> Reading this bug report, it seems like the proposed patch is
>> problematic, so it can't be applied as is, at least.
>> Was any further work done here?  Or is this no longer relevant now that
>> the diff-hl implements something similar?
> I think Dmitry is more qualified to answer this. In my experience the
> implementation in diff-hl covers most of (my) use cases.

I can't really answer that.

IMHO diff-hl (with its full feature set) might as well be in the default 
Emacs configuration, but I've seen few requests on emacs-devel for that 
to happen.

When the ELPA bundling feature arrives, though, it should be easy enough 
to do, if the consensus is in favor.

Until then, I'd say this feature can be worthwhile to have separately, 
but someone(tm) should really work on the patch and iron out the kinks.